List Dataset Versions
GEThttps://api.confident-ai.com/v1/datasets/{alias}/versions
Returns all versions of the dataset, newest first.
curl -X GET "https://api.confident-ai.com/v1/datasets/{alias}/versions" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"versions": [
{
"id": "abc-123",
"version": "00.00.02",
"createdAt": "2026-05-28T13:35:16.268Z"
},
{
"id": "def-456",
"version": "00.00.01",
"createdAt": "2026-05-28T13:05:24.777Z"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the dataset.
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
versionslist of objectsShow 3 propertiesHide 3 properties
idstringA unique identifier for the dataset version.
versionstringThe version label (e.g.
"00.00.01").createdAtstringISO timestamp of when the version was created.
Built byConfident AI